Bug 147196 - shell script error in rpm check-prereqs
Summary: shell script error in rpm check-prereqs
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: rpm   
(Show other bugs)
Version: rawhide
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Paul Nasrat
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-04 20:15 UTC by Steve Grubb
Modified: 2007-11-30 22:10 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-08-27 03:38:58 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Steve Grubb 2005-02-04 20:15:01 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.5)
Gecko/20041228 Firefox/1.0 Fedora/1.0-8

Description of problem:
check-prereqs has a shell script error in it.

Version-Release number of selected component (if applicable):
rpm-build-4.3.3-8

How reproducible:
Always

Steps to Reproduce:
1. sh -n /usr/lib/rpm/check-prereqs

Actual Results:  /usr/lib/rpm/check-prereqs: line 15: unexpected EOF
while looking for matching ``'
/usr/lib/rpm/check-prereqs: line 18: syntax error: unexpected end of file


Expected Results:  No problems reported.

Additional info:

The problem comes from line 8:

prereqs="`cat | $bashit | sort | uniq | sed -e 's/^bash(//' -e
's/)$//'`" -e 's/^executable(//' -e 's/)$//'`"

I'm wondering if the ` & " in the second sed statement is supposed to
be there. Maybe it should be:

prereqs="`cat | $bashit | sort | uniq | sed -e 's/^bash(//' -e
's/)$//' -e 's/^executable(//' -e 's/)$//'`"

Comment 1 Jeff Johnson 2005-08-27 03:38:58 UTC
Fixed in rpm-4_4 cvs, should be in rpm-4.4.3-0.5 when built.


Note You need to log in before you can comment on or make changes to this bug.